=== pics/CMakeLists.txt ===




########### install files ###############

install( FILES 
	default_theme.svg default_theme.theme default_theme.desktop
	potato-game.svg potato-game.theme potato-game.desktop
	train_valley.svgz train_valley.theme train_valley.desktop
	moon.svg moon.theme moon.desktop
	egypt.desktop egypt.svg egypt.theme
	pizzeria.desktop pizzeria.svgz pizzeria.theme
	christmas.desktop christmas.svgz christmas.theme
	robin-tux.desktop robin-tux.svgz robin-tux.theme butterflies.desktop butterflies.svgz
        butterflies.theme robot_workshop.desktop robot_workshop.svgz robot_workshop.theme
DESTINATION  ${KDE_INSTALL_DATADIR}/ktuberling/pics )
