=== sounds/id/CMakeLists.txt ===
install( FILES id.soundtheme DESTINATION ${KDE_INSTALL_DATADIR}/ktuberling/sounds/ )
