=== debian/control ===
--- 
+++ 
@@ -38,7 +38,7 @@
 Depends: ktuberling-data (>= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
-Recommends: khelpcenter
+Recommends: khelpcenter,
 Description: stamp drawing toy
  KTuberling is a drawing toy for small children with several activites.
  .
@@ -53,9 +53,9 @@
 
 Package: ktuberling-data
 Architecture: all
-Depends: ${misc:Depends}
-Breaks: ktuberling (<< 4:20.08.3~), ${kde-l10n:all}
-Replaces: ktuberling (<< 4:20.08.3~), ${kde-l10n:all}
+Depends: ${misc:Depends},
+Breaks: ktuberling (<< 4:20.08.3~), ${kde-l10n:all},
+Replaces: ktuberling (<< 4:20.08.3~), ${kde-l10n:all},
 Description: stamp drawing toy - data files
  KTuberling is a drawing toy for small children with several activites.
  .
