=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: ktuberling
 Section: games
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Daniel Schepler <schepler@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
@@ -19,7 +20,7 @@
                libkf5dbusaddons-dev (>= 5.91.0~),
                libkf5doctools-dev (>= 5.91.0~),
                libkf5i18n-dev (>= 5.91.0~),
-               libkf5kdegames-dev (>= 4:7.3.0~),
+               libkf5kdegames-dev (>= 4:23.08.0~),
                libkf5kio-dev (>= 5.91.0~),
                libkf5widgetsaddons-dev (>= 5.91.0~),
                libkf5xmlgui-dev (>= 5.91.0~),
@@ -27,18 +28,18 @@
                pkg-kde-tools (>= 0.14),
                qtbase5-dev (>= 5.15.2~),
                qtmultimedia5-dev (>= 5.15.2~),
-Standards-Version: 4.6.2
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: http://games.kde.org/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ktuberling
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ktuberling.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktuberling
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktuberling
 
 Package: ktuberling
 Architecture: any
 Depends: ktuberling-data (>= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
-Recommends: khelpcenter,
+Recommends: khelpcenter
 Description: stamp drawing toy
  KTuberling is a drawing toy for small children with several activites.
  .
@@ -53,9 +54,9 @@
 
 Package: ktuberling-data
 Architecture: all
-Depends: ${misc:Depends},
-Breaks: ktuberling (<< 4:20.08.3~), ${kde-l10n:all},
-Replaces: ktuberling (<< 4:20.08.3~), ${kde-l10n:all},
+Depends: ${misc:Depends}
+Breaks: ktuberling (<< 4:20.08.3~), ${kde-l10n:all}
+Replaces: ktuberling (<< 4:20.08.3~), ${kde-l10n:all}
 Description: stamp drawing toy - data files
  KTuberling is a drawing toy for small children with several activites.
  .
