## ktuberling 23.08.5

=== sounds/nl/CMakeLists.txt ===
FILE(GLOB datafiles *.wav)
install( FILES ${datafiles} DESTINATION ${KDE_INSTALL_DATADIR}/ktuberling/sounds/nl)
install( FILES nl.soundtheme DESTINATION ${KDE_INSTALL_DATADIR}/ktuberling/sounds/ )
