## ktuberling 24.12.0

=== debian/changelog ===
ktuberling (4:24.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2024 17:20:39 +0000
