## ktuberling 24.12.1

=== debian/changelog ===
ktuberling (4:24.12.1-2) unstable; urgency=medium

  * Build using kf6

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sat, 01 Feb 2025 19:53:14 +0100

ktuberling (4:24.12.1-1) unstable; urgency=medium

  * New upstream release
  * Team upload
  * Update paths for dh_install

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Fri, 24 Jan 2025 19:31:34 +0100

ktuberling (4:24.12.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Fri, 20 Dec 2024 23:26:49 +0100
