## ktuberling 25.04.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required (VERSION 3.16 FATAL_ERROR)
 
 # KDE Application Version, managed by release script
-set(RELEASE_SERVICE_VERSION_MAJOR "24")
-set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "3")
+set(RELEASE_SERVICE_VERSION_MAJOR "25")
+set(RELEASE_SERVICE_VERSION_MINOR "04")
+set(RELEASE_SERVICE_VERSION_MICRO "0")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(ktuberling VERSION ${RELEASE_SERVICE_VERSION})
@@ -58,8 +58,8 @@
 ecm_setup_version(${RELEASE_SERVICE_VERSION} VARIABLE_PREFIX KTUBERLING VERSION_HEADER ktuberling_version.h)
 
 ecm_set_disabled_deprecation_versions(
-    QT 6.8.0
-    KF 6.7
+    QT 6.9.0
+    KF 6.12.0
 )
 if (NOT ANDROID)
     ecm_set_disabled_deprecation_versions(
@@ -74,11 +74,11 @@
 ########### next target ###############
 
 set(ktuberling_common_SRCS
-   action.cpp
-   playground.cpp
-   todraw.cpp
-   soundfactory.cpp
-   filefactory.cpp
+   action.cpp action.h
+   playground.cpp playground.h
+   todraw.cpp todraw.h
+   soundfactory.cpp soundfactory.h
+   filefactory.cpp filefactory.h
 )
 ecm_qt_declare_logging_category(ktuberling_common_SRCS
     HEADER ktuberling_debug.h
@@ -115,8 +115,8 @@
     set(ktuberling_SRCS
         ${ktuberling_common_SRCS}
         main.cpp
-        toplevel.cpp
-        playgrounddelegate.cpp
+        toplevel.cpp toplevel.h
+        playgrounddelegate.cpp playgrounddelegate.h
 
         ktuberling.qrc
     )
