=== sounds/CMakeLists.txt ===
########### install files ###############

FILE( GLOB oggfiles *.ogg )

INSTALL( FILES ${oggfiles} DESTINATION ${KDE_INSTALL_DATADIR}/ktuberling/sounds/en )

INSTALL( FILES en.soundtheme DESTINATION ${KDE_INSTALL_DATADIR}/ktuberling/sounds/ )

add_subdirectory(ca)
add_subdirectory(da)
add_subdirectory(de)
add_subdirectory(el)
add_subdirectory(eo)
add_subdirectory(es)
add_subdirectory(fi)
add_subdirectory(fr)
add_subdirectory(ga)
add_subdirectory(gl)
add_subdirectory(id)
add_subdirectory(it)
add_subdirectory(lt)
add_subdirectory(nds)
add_subdirectory(nl)
add_subdirectory(nn)
add_subdirectory(pt)
add_subdirectory(ro)
add_subdirectory(ru)
add_subdirectory(sl)
add_subdirectory(sr)
add_subdirectory(sr@ijekavian)
add_subdirectory(sr@ijekavianlatin)
add_subdirectory(sr@latin)
add_subdirectory(sv)
add_subdirectory(uk)
add_subdirectory(wa)
