=== sounds/it/CMakeLists.txt ===
FILE(GLOB datafiles *.wav)
install( FILES ${datafiles} DESTINATION ${KDE_INSTALL_DATADIR}/ktuberling/sounds/it )


install( FILES it.soundtheme DESTINATION ${KDE_INSTALL_DATADIR}/ktuberling/sounds/ )
