=== sounds/sr@ijekavianlatin/CMakeLists.txt ===
file( GLOB datafiles *.ogg )
install( FILES ${datafiles} DESTINATION ${KDE_INSTALL_DATADIR}/ktuberling/sounds/sr@ijekavianlatin )
install( FILES sr@ijekavianlatin.soundtheme DESTINATION ${KDE_INSTALL_DATADIR}/ktuberling/sounds )
